Groovy JDK

## javax.swing
Class JPopupMenu

Method Summary
`Iterator` | `iterator()` Returns an Iterator which traverses the JPopupMenu one MenuElement at a time.
`JPopupMenu` | `leftShift(Action action)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.
`JPopupMenu` | `leftShift(Component component)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.
`JPopupMenu` | `leftShift(JMenuItem item)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.
`JPopupMenu` | `leftShift(String str)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.
`JPopupMenu` | `leftShift(GString gstr)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.

Method Detail

### iterator

    public Iterator iterator()

  Returns an Iterator which traverses the JPopupMenu one MenuElement at a time.

Returns:
  an Iterator for a JPopupMenu

Since:
  1.6.4

### leftShift

    public JPopupMenu leftShift(Action action)

  Overloads the left shift operator to provide an easy way to add components to a popupMenu.

Parameters:
  `action` - an action to be added to the popupMenu..

Returns:
  same popupMenu, after the value was added to it.

Since:
  1.6.4

### leftShift

    public JPopupMenu leftShift(Component component)

  Overloads the left shift operator to provide an easy way to add components to a popupMenu.

Parameters:
  `component` - a component to be added to the popupMenu..

Returns:
  same popupMenu, after the value was added to it.

Since:
  1.6.4

### leftShift

    public JPopupMenu leftShift(JMenuItem item)

  Overloads the left shift operator to provide an easy way to add components to a popupMenu.

Parameters:
  `item` - an item to be added to the popupMenu..

Returns:
  same popupMenu, after the value was added to it.

Since:
  1.6.4

### leftShift

    public JPopupMenu leftShift(String str)

  Overloads the left shift operator to provide an easy way to add components to a popupMenu.

Parameters:
  `str` - a String to be added to the popupMenu..

Returns:
  same popupMenu, after the value was added to it.

Since:
  1.6.4

### leftShift

    public JPopupMenu leftShift(GString gstr)

  Overloads the left shift operator to provide an easy way to add components to a popupMenu.

Parameters:
  `gstr` - a GString to be added to the popupMenu..

Returns:
  same popupMenu, after the value was added to it.

Since:
  1.6.4

Groovy JDK